
<div style="text-align:center">
<img src="gui/resources/icones/sciqlop2PNG_1024.png" alt="sciqlop_logo" style="width: 200px;"/>
<br /><br />
<img src="pictures/sciqlop_screenshot.png" alt="sciqlop_logo" style="width: 80%;"/>
</div>



# Overview

**SciQLOP** (**SCI**entific **Q**t application for **L**earning from **O**bservations of **P**lasmas) is a powerful and user-friendly tool designed for the visualization and analysis of in-situ space plasma data. The software has been developed to address the technical challenges that arise from the high time resolution required by modern plasma measurements. It is capable of plotting millions of data points without compromising on interactivity, ensuring that users can scroll, zoom, move, and export plots with ease.

One of the key features of SciQLOP is its ability to abstract the manipulation of physics data, making it accessible to users with different levels of expertise. The software also provides contextual features such as coordinate transforms and physical quantity extraction from data.

Keeping SciQLOP lightweight and intuitive has been a top priority during the software's development, making it both usable and competitive. By balancing advanced graphical features with a simple and streamlined GUI, SciQLOP delivers an exceptional user experience that sets it apart from other software tools in the field.

If you are looking for a reliable and powerful tool for analyzing space plasma data, SciQLOP is an excellent choice. With its intuitive interface and advanced features, it offers a seamless workflow that can save you time and effort. Download SciQLOP today and experience the benefits for yourself!


## How to build

```
git clone https://github.com/SciQLop/SciQLop
cd SciQLop
mkdir build && cd build
meson
ninja
```


## How to contribute

Contact sciqlop@lpp.polytechnique.fr
